aboutsummaryrefslogtreecommitdiff
path: root/reg_test.sh
diff options
context:
space:
mode:
authorErik Andersen <andersen@codepoet.org>2000-01-07 11:40:44 +0000
committerErik Andersen <andersen@codepoet.org>2000-01-07 11:40:44 +0000
commit96e2abd0849c1980dad10013ef0d17027554ef9f (patch)
treeb4313983e7883b477552c881868bc6709f9857d0 /reg_test.sh
parent286b0de74da3cba56b8cc7961a19044eb45969b2 (diff)
downloadbusybox-96e2abd0849c1980dad10013ef0d17027554ef9f.tar.gz
Init is now even more perfect then before.
-Erik
Diffstat (limited to 'reg_test.sh')
-rwxr-xr-xreg_test.sh40
1 files changed, 21 insertions, 19 deletions
diff --git a/reg_test.sh b/reg_test.sh
index 0a30ae305..2a73fc511 100755
--- a/reg_test.sh
+++ b/reg_test.sh
@@ -6,26 +6,22 @@ rm -rf testdir
./busybox cp tar.c testdir
if ! eval diff -u tar.c testdir ; then
- echo " "
echo "Bummer. File copy failed."
exit 0
else
echo "Cool. File copy is ok."
fi
-echo " "
rm -rf testdir
mkdir -p testdir/foo
./busybox cp tar.c testdir/foo
if ! eval diff -u tar.c testdir/foo/tar.c ; then
- echo " "
echo "Bummer. File copy to a directory failed."
exit 0
else
echo "Cool. File copy to a directory is ok."
fi
-echo " "
rm -rf testdir
@@ -33,13 +29,11 @@ mkdir -p testdir/foo
./busybox cp tar.c testdir/foo/
if ! eval diff -u tar.c testdir/foo/tar.c ; then
- echo " "
echo "Bummer. File copy to a directory w/ a '/' failed."
exit 0
else
echo "Cool. File copy to a directory w/ a '/' is ok."
fi
-echo " "
rm -rf testdir X11
@@ -47,63 +41,53 @@ cp -a /etc/X11 .
./busybox cp -a X11 testdir
if ! eval diff -ur X11 testdir ; then
- echo " "
echo "Bummer. Local dir copy failed."
exit 0
else
echo "Cool. Local dir copy is ok."
fi
-echo " "
rm -rf testdir X11
cp -a /etc/X11 .
./busybox cp -a X11 testdir/
if ! eval diff -ur X11 testdir ; then
- echo " "
echo "Bummer. Local dir copy w/ a '/' failed."
exit 0
else
echo "Cool. Local dir copy w/ a '/' is ok."
fi
-echo " "
rm -rf testdir X11
cp -a /etc/X11 .
./busybox cp -a X11/ testdir
if ! eval diff -ur X11 testdir ; then
- echo " "
echo "Bummer. Local dir copy w/ a src '/' failed."
exit 0
else
echo "Cool. Local dir copy w/ a src '/' is ok."
fi
-echo " "
rm -rf testdir X11
cp -a /etc/X11 .
./busybox cp -a X11/ testdir/
if ! eval diff -ur X11 testdir ; then
- echo " "
echo "Bummer. Local dir copy w/ 2x '/'s failed."
exit 0
else
echo "Cool. Local dir copy w/ 2x '/'s is ok."
fi
-echo " "
rm -rf testdir X11
./busybox cp -a /etc/X11 testdir
if ! eval diff -ur /etc/X11 testdir ; then
- echo " "
echo "Bummer. Remote dir copy failed."
exit 0
else
echo "Cool. Remote dir copy is ok."
fi
-echo " "
rm -rf testdir X11
@@ -111,13 +95,11 @@ mkdir -p testdir/foo
./busybox cp -a /etc/X11 testdir/foo
if ! eval diff -ur /etc/X11 testdir/foo ; then
- echo " "
echo "Bummer. Remote dir copy to a directory failed."
exit 0
else
echo "Cool. Remote dir copy to a directory is ok."
fi
-echo " "
rm -rf testdir X11
@@ -125,7 +107,6 @@ mkdir -p testdir/foo
./busybox cp -a /etc/X11 testdir/foo/
if ! eval diff -ur /etc/X11 testdir/foo ; then
- echo " "
echo "Bummer. Remote dir copy to a directory w/ a '/' failed."
exit 0
else
@@ -134,3 +115,24 @@ fi
rm -rf testdir
+
+rm -rf foo bar
+mkdir foo
+mkdir bar
+
+if ! eval ./busybox cp README foo ; then
+ echo "Bummer. cp README foo failed."
+ exit 0
+else
+ echo "Cool. cp README foo is ok."
+fi
+
+if ! eval ./busybox cp foo/README bar ; then
+ echo "Bummer. cp foo/README bar failed."
+ exit 0
+else
+ echo "Cool. cp foo/README bar is ok."
+fi
+
+rm -rf foo bar
+